Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui
Interface IPackagesViewPart

All Superinterfaces:
  IAdaptable, IViewPart, IWorkbenchPart

public interface IPackagesViewPart
extends IViewPart

The standard Packages view presents a Java-centric view of the workspace. Within Java projects, the resource hierarchy is organized into Java packages as described by the project's classpath. Note that this view shows both Java elements and ordinary resources.

This interface is not intended to be implemented by clients.

See Also:
  `JavaUI.ID_PACKAGES`

Field Summary

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Method Summary
`TreeViewer` | `getTreeViewer()` Returns the TreeViewer shown in the Packages view.
`void` | `selectAndReveal(Object element)` Selects and reveals the given element in this packages view.

Methods inherited from interface org.eclipse.ui.IViewPart
`getViewSite, init, init, saveState`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### selectAndReveal

    public void selectAndReveal(Object element)

  Selects and reveals the given element in this packages view. The tree will be expanded as needed to show the element.

  Parameters:
    `element` - the element to be revealed

### getTreeViewer

    public TreeViewer getTreeViewer()

  Returns the TreeViewer shown in the Packages view.

  Returns:
    the tree viewer used in the Packages view
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.